{% extends 'base.html.twig' %}

{% block scripts %}
    <script type="text/javascript">
        var ipv4_ajax_url = "{{ ipv4_ajax_url }}";
        var ipv6_ajax_url = "{{ ipv6_ajax_url }}";
    </script>
    {{ encore_entry_script_tags('client_info') }}
{% endblock %}

{% block body %}
    <h1>Client info</h1>
    <div class="wrapper">
        <ul>
            <li>
                <h2>Ip address</h2>
                <p>IPV4: <span id="ipv4"><span class="ip"></span></span></p>
                <p>IPV6: <span id="ipv6"><span class="ip"></span></span></p>
            </li>
            {% if client_info['OS'] is defined %}
                <li>
                    <h2>Operating system</h2>
                    <p>{{ client_info['OS'] }}</p>
                </li>
            {% endif %}
            {% if client_info['browser'] is defined %}
                <li>
                    <h2>Browser</h2>
                    <p>{{ client_info['browser'] }}</p>
                </li>
            {% endif %}
            {% if client_info['user_agent'] is defined %}
                <li>
                    <h2>User Agent</h2>
                    <p>{{ client_info['user_agent'] }}</p>
                </li>
            {% endif %}
            <li class="ninja">
                <h2>Screen resolution</h2>
                <p id="resolution"></p>
            </li>
            <li>
                <h2>Browser viewport</h2>
                <p id="viewport"></p>
            </li>
            <li class="ninja">
                <h2>Javascript enabled</h2>
                <p class="js-disabled">Javascript is disabled</p>
                <p class="js-enabled">Javascript is enabled</p>
            </li>
        </ul>
    </div>
{% endblock %}
